#1 Add tpm2-abrmd-devel BuildRequires (RHBZ#1498909)
Merged 2 years ago by yunyings. Opened 2 years ago by javierm.

file modified
+5 -1

@@ -1,6 +1,6 @@

  Name: tpm2-tools

  Version: 2.1.0 

- Release: 5%{?dist}

+ Release: 6%{?dist}

  Summary: A TPM2.0 testing tool build upon TPM2.0-TSS

  

  %global pkg_prefix tpm2.0-tools

@@ -24,6 +24,7 @@

  BuildRequires: pkgconfig(sapi)

  BuildRequires: pkgconfig(tcti-device)

  BuildRequires: pkgconfig(tcti-socket)

+ BuildRequires: pkgconfig(tcti-tabrmd)

  

  # this package does not support big endian arch so far,

  # and has been verified only on Intel platforms.

@@ -53,6 +54,9 @@

  %{_mandir}/man8/tpm2_*.8.gz

  

  %changelog

+ * Thu Oct 05 2017 Javier Martinez Canillas <javierm@redhat.com> - 2.1.0-6

+ - Add tpm2-abrmd-devel BuildRequires so tools have abrmd support (RHBZ#1498909)

+ 

  * Fri Aug 18 2017 Javier Martinez Canillas <javierm@redhat.com> - 2.1.0-5

  - Remove unneeded source tarballs (RHBZ#1482830)

  

The tools currently are not built with tabrmd TCTI support, since the
tcti-tabrmd isn't a BuildRequires. Fix this by adding the dependency.

Signed-off-by: Javier Martinez Canillas javierm@redhat.com

Pull-Request has been merged by yunyings

2 years ago
Metadata